
CREATE TABLE [dbo].[MIG_EO_ROUTE_LINE](
	[EO_ID] [varchar](30) NOT NULL,
	[ROUTE_ID] [varchar](30) NOT NULL,
	[INSTR_ID] [varchar](6) NOT NULL,
	[PREV_INSTR_ID] [varchar](6) NOT NULL,
	[NEXT_INSTR_ID] [varchar](6) NOT NULL,
	[LINE_TYPE] [smallint] NOT NULL,
	[THREAD_ID] [varchar](10) NOT NULL,
	[STEP_ID] [varchar](15) NOT NULL,
	[SYNC_POINT_ID] [varchar](10) NOT NULL,
	[RETURN_CODE] [smallint] NOT NULL,
	[UPDATED_ON] [datetime2](7) NOT NULL,
 CONSTRAINT [PK_MIG_EO_ROUTE_LINE_IDX] PRIMARY KEY CLUSTERED 
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[INSTR_ID] ASC,
	[PREV_INSTR_ID] ASC,
	[NEXT_INSTR_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


CREATE UNIQUE NONCLUSTERED INDEX [MIG_EO_ROUTE_LINE_IDX] ON [dbo].[MIG_EO_ROUTE_LINE]
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[INSTR_ID] ASC,
	[THREAD_ID] ASC,
	[PREV_INSTR_ID] ASC,
	[NEXT_INSTR_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [MIG_EO_ROUTE_LINE_IDX1] ON [dbo].[MIG_EO_ROUTE_LINE]
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[INSTR_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [MIG_EO_ROUTE_LINE_IDX2] ON [dbo].[MIG_EO_ROUTE_LINE]
(
	[INSTR_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]


CREATE NONCLUSTERED INDEX [MIG_EO_ROUTE_LINE_IDX3] ON [dbo].[MIG_EO_ROUTE_LINE]
(
	[EO_ID] ASC,
	[ROUTE_ID] ASC,
	[STEP_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]

